Subject: Re: Damascus steel

From: [email-masked] (John R. Schmidt)
Date: Wed, 9 Feb 1994 21:50:59 GMT

As I remember it, knive blanks both of dendritic "damascus" steel (David 
BOye's process) and of hand forged (in India) steel are available from
K & G Finishing Supplies, Information (602) 537-8877.  They also sell
everything else you would want to finish the knife.  I've been happy with
their service.

Cheers,
John Schmidt